// BookTestDriver.cpp: implementation of the BookTestDriver class.
//
//////////////////////////////////////////////////////////////////////

#include "BookTestDriver.h"
#include "BookTestPacket.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

BookTestDriver::BookTestDriver()
{

}

BookTestDriver::~BookTestDriver()
{

}

void BookTestDriver::Start()
{
	StartTProc(this, (SPVPM)&BookTestDriver::ThreadFunc);
}

void BookTestDriver::ThreadFunc()
{
	SpvEvent pClock("BookTestTb.clock", AtPos);

	SpvSig resetN("BookTestTb.reset_n");
	SpvSig dataIn("BookTestTb.data_in");
	SpvSig dataEn("BookTestTb.data_in_valid");
	//TODO: Instantiate other signals here

	// Waiting 2 Clocks, Reseting for 2 clocks and continue
	Wait(pClock,2);
	resetN.Assign(0);
	Wait(pClock,2);
	resetN.Assign(1);


	//TODO: Set initial reset values for all signals here
	

	//TODO: Drive data here
    while(1)
    {
        dataEn = GenUnsigned(0, 1);
        dataIn = GenUnsigned(0, 0xF);
        Wait(pClock);
    }


	Wait(pClock);

}

