#ifndef __TB_INCLUDED__
#define __TB_INCLUDED__

#include <SpvHfile.h>
#include "Dut.h"

//top level module
class Tb : 
    public SpvModule, 
    public SpvSimDeltaT
{
	SpvSig	            m_Clk;
    SpvSig	            m_ResetN;
	SpvSig	            m_DataIn;
	SpvSig	            m_DataInValid;
    SpvWireConnection   m_DataOut;
    SpvWireConnection   m_DataOutValid;

	Dut*                m_Dut;

public:

	Tb(SpvModule* owner,string name);
	
    void SpvOnDelta();
	
	void OnInitSim();

    //Set initial signal values
	void OnInitial();
};


#endif
